%define pkgver1 %(echo %version | cut -d. -f1-3)
%define pkgver2 %(echo %version | cut -d. -f4)
Name:          cie-middleware
Version:       1.4.3.10
Release:       1mamba
Summary:       Italian CIE (Electronic ID Card) PCSC middleware
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/italia/cie-middleware-linux
Source:        https://github.com/italia/cie-middleware-linux/releases/download/%{version}/CIE-Middleware-%{pkgver1}-%{pkgver2}.x86-64.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpcsclite-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
Italian CIE (Electronic ID Card) PCSC middleware.

%debug_package

%prep
%setup -q -c

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d -m755 %{buildroot}%{_datadir}/CIEID
install -D -m644 usr/share/CIEID/* %{buildroot}%{_datadir}/CIEID/
install -D -m755 usr/local/lib/libcie-pkcs11.so %{buildroot}%{_libdir}/libcie-pkcs11.so
install -D -m644 usr/share/applications/cieid.desktop %{buildroot}%{_datadir}/applications/cieid.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libcie-pkcs11.so
%dir %{_datadir}/CIEID
%{_datadir}/CIEID/cieid.jar
%{_datadir}/CIEID/logo_circle.png
%{_datadir}/applications/cieid.desktop

%changelog
* Thu Nov 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3.10-1mamba
- update to 1.4.3.10

* Thu Aug 24 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3.5-1mamba
- update to 1.4.3.5

* Fri Nov 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.1-1mamba
- update to 1.4.1

* Tue Apr 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-1mamba
- package created using the webbuild interface
